Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1188552

Summary: Review Request: nodejs-propagate - Propagate events from one event emitter into another
Product: [Fedora] Fedora Reporter: anish <apatil>
Component: Package ReviewAssignee: Piotr Popieluch <piotr1212>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: anish.developer, apatil, jsmith.fedora, package-review, piotr1212
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-14 13:35:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 201449, 956806    

Description anish 2015-02-03 08:56:06 UTC
Spec URL: https://anishpatil.fedorapeople.org/nodejs-propagate.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-propagate-0.3.0-1.fc21.src.rpm
Description: Propagate events from one event emitter into another event
Fedora Account System Username:anishpatil

Comment 1 anish 2015-02-03 08:56:40 UTC
Created bug to include upstram MIT license, https://github.com/pgte/propagate/issues/2

Comment 2 Piotr Popieluch 2015-02-25 21:23:43 UTC
please add 
BuildRequires:  nodejs-packaging
and rebuild the package

this is needed for all nodejs-packages, nodejs macros are defined in that nodejs-packaging

Comment 3 anish 2015-02-26 06:33:53 UTC
Hi Piotr,

Thank you for package review, please find updated package in 

Spec URL: https://anishpatil.fedorapeople.org/nodejs-propagate.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-propagate-0.3.0-2.fc21.src.rpm

Comment 4 Piotr Popieluch 2015-02-26 21:42:18 UTC
Hi Anish,

The SRPM url gives me a http 404. Could you please check the url?

Comment 5 anish 2015-02-27 07:28:22 UTC
Hi Piotr,

Sorry about that, please find Sepc and SRPM as follows:-

Spec URL: https://anishpatil.fedorapeople.org/nodejs-propagate.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-propagate-0.3.0-2.fc21.src.rpm

Comment 6 Piotr Popieluch 2015-02-28 11:04:55 UTC
Please add 

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif



https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers#ExclusiveArch

Comment 7 anish 2015-03-02 11:53:00 UTC
Hi Piotr,

Thank you for your review comments, please find Sepc and SRPM as follows:-

Spec URL: https://anishpatil.fedorapeople.org/nodejs-propagate.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-propagate-0.3.0-3.fc21.src.rpm

Comment 8 Piotr Popieluch 2015-03-08 18:30:45 UTC
latest version is 0.3.1 please update:
https://www.npmjs.com/package/propagate

please request upstream to include the MIT license with the sources.

Comment 10 Piotr Popieluch 2015-07-06 19:37:45 UTC
Anish, any updates on this?

Comment 11 anish 2015-07-10 08:12:07 UTC
Hi Potr,

sorry about delay, i will update packages by this week end

Comment 12 Piotr Popieluch 2015-10-17 12:09:37 UTC
closing in one week:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 13 Piotr Popieluch 2015-11-14 13:35:56 UTC
closing.

Comment 14 Jared Smith 2015-11-30 21:28:40 UTC

*** This bug has been marked as a duplicate of bug 1286844 ***